Package org.eclipse.net4j.util.properties

## Class Property.WithArguments<RECEIVER>

- java.lang.Object
- - org.eclipse.net4j.util.properties.Property<RECEIVER>
  - - org.eclipse.net4j.util.properties.Property.WithArguments<RECEIVER>

- Enclosing class:
    Property<RECEIVER>

      public abstract static class Property.WithArguments<RECEIVER>
      extends Property<RECEIVER>

  Describes a property of a receiver object and extracts its value with given arguments.
  Since:
    3.16
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.properties.Property

      `Property.WithArguments<RECEIVER>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WithArguments​(java.lang.String name)` |
    `WithArguments​(java.lang.String name, java.lang.String label, java.lang.String description)` |
    `WithArguments​(java.lang.String name, java.lang.String label, java.lang.String description, java.lang.String category)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.Object` | `eval​(RECEIVER receiver)` | Returns the receiver's value for this property, either a `String` or a boxed primitive type.
    `protected abstract java.lang.Object` | `eval​(RECEIVER receiver, java.lang.Object[] args)` |
    `boolean` | `testValue​(RECEIVER receiver, java.lang.Object[] args, java.lang.Object expectedValue)` |

    - ### Methods inherited from class org.eclipse.net4j.util.properties.Property

      `getCategory, getDescription, getLabel, getName, getValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WithArguments

          public WithArguments​(java.lang.String name,
                               java.lang.String label,
                               java.lang.String description,
                               java.lang.String category)

    - #### WithArguments

          public WithArguments​(java.lang.String name,
                               java.lang.String label,
                               java.lang.String description)

    - #### WithArguments

          public WithArguments​(java.lang.String name)

  - ### Method Detail

    - #### testValue

          public boolean testValue​(RECEIVER receiver,
                                   java.lang.Object[] args,
                                   java.lang.Object expectedValue)

      Overrides:
        `testValue` in class `Property<RECEIVER>`

    - #### eval

          protected final java.lang.Object eval​(RECEIVER receiver)

      Description copied from class: `Property`
      Returns the receiver's value for this property, either a `String` or a boxed primitive type. Return values of all other types are converted with `Object.toString()` in `Property.eval(Object)`.
      Specified by:
        `eval` in class `Property<RECEIVER>`

    - #### eval

          protected abstract java.lang.Object eval​(RECEIVER receiver,
                                                   java.lang.Object[] args)